Name: starlink-pal
Version: 0.9.8
Release: %mkrel 1
Summary: Positional Astronomy Library

# Upstream version
%define upversion 0.9.8
%define major 0
%define libname %mklibname %{name} %{major}
%define libname_virt	lib%{name}
%define develname %mklibname %{name} -d

Group: Sciences/Astronomy
License: GPLv2+
URL: http://starlink.jach.hawaii.edu/starlink/AST
Source0: https://github.com/Starlink/pal/archive/v%{upversion}.tar.gz
Patch0: starlink-pal-deb-rename_library.patch
Patch1: starlink-pal-deb-use_std_automake.patch

BuildRequires: erfa-devel
BuildRequires: texlive
BuildRequires: texlive-dist

%description
The PAL library is a partial re-implementation of Pat Wallace's
popular SLALIB library written in C using a Gnu GPL license and
layered on top of the IAU's SOFA library where appropriate. PAL
attempts to stick to the SLA C API where possible although palObs()
has a more C-like API than the equivalent slaObs() function. In most
cases it is enough to simply change the function prefix of a routine
in order to link against PAL rather than SLALIB.

%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Sciences/Astronomy
Requires: %{libname_virt} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name} 
application.

%package -n %{libname}
Summary: Positional Astronomy Library
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}
Provides: %{libname_virt} = %{version}-%{release}
%description -n %{libname}
The PAL library is a partial re-implementation of Pat Wallace's
popular SLALIB library written in C using a Gnu GPL license and
layered on top of the IAU's SOFA library where appropriate. PAL
attempts to stick to the SLA C API where possible although palObs()
has a more C-like API than the equivalent slaObs() function. In most
cases it is enough to simply change the function prefix of a routine
in order to link against PAL rather than SLALIB.

%prep
%setup -q -n pal-%{upversion}
%autopatch -p1

%build
CFLAGS="%{optflags} -fcommon"
libtoolize
aclocal
autoconf
autoheader
automake --gnu --add-missing
%configure --disable-static
%make_build 

%install
%make_install
rm -f %{buildroot}%{_datadir}/pal/*.pdf
pushd %{buildroot}%{_libdir}
ln -s libstarlink_pal.so.0.0.0 libpal.so.0.0.0
ln -s libstarlink_pal.so.0.0 libpal.so.0.0
ln -s libstarlink_pal.so libpal.so
popd
rm -f %{buildroot}%{_datadir}/pal/{COPYING,README}*

%files -n %{libname}
%license COPYING
%{_libdir}/lib*.so.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*




%changelog
* Wed Jun 10 2020 joequant <joequant> 0.9.8-1.mga8
+ Revision: 1591621
- update to 0.9.8

* Tue Jun 09 2020 joequant <joequant> 0.3.0-9.mga8
+ Revision: 1591452
- update to gcc10

* Fri Feb 14 2020 umeabot <umeabot> 0.3.0-8.mga8
+ Revision: 1517232
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-7.mga7
+ Revision: 1301188
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 932569
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 746744
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 689529
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 537731
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 joequant <joequant> 0.3.0-2.mga4
+ Revision: 487567
- add texlive dist
- add links to libpal

* Sun Aug 11 2013 joequant <joequant> 0.3.0-1.mga4
+ Revision: 465563
- change build requires
- add libvirt provides
- imported package starlink-pal

